curl -X POST "https://api.usegately.com/api/v1/auth/refresh" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"refresh_token": "your_refresh_token"
}'
{
"access_token": "eyJhbGciOiJIUzI1NiIs...",
"expires_in": 3600
}
Authentication
Refresh Token
Refresh an expired access token
POST
/
api
/
v1
/
auth
/
refresh
curl -X POST "https://api.usegately.com/api/v1/auth/refresh" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"refresh_token": "your_refresh_token"
}'
{
"access_token": "eyJhbGciOiJIUzI1NiIs...",
"expires_in": 3600
}
Get a new access token using a refresh token.
Request Body
string
required
The refresh token from the original login
Response
string
New JWT access token
number
Token expiration time in seconds
curl -X POST "https://api.usegately.com/api/v1/auth/refresh" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"refresh_token": "your_refresh_token"
}'
{
"access_token": "eyJhbGciOiJIUzI1NiIs...",
"expires_in": 3600
}
Was this page helpful?